"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _clsx = _interopRequireDefault(require("clsx"));

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

var _List = _interopRequireDefault(require("@material-ui/core/List"));

var _ListItem = _interopRequireDefault(require("@material-ui/core/ListItem"));

var _ListItemText = _interopRequireDefault(require("@material-ui/core/ListItemText"));

var _ListItemIcon = _interopRequireDefault(require("@material-ui/core/ListItemIcon"));

var _Checkbox = _interopRequireDefault(require("@material-ui/core/Checkbox"));

var _ListItemSecondaryAction = _interopRequireDefault(require("@material-ui/core/ListItemSecondaryAction"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _FormControl = _interopRequireDefault(require("@material-ui/core/FormControl"));

var _FormLabel = _interopRequireDefault(require("@material-ui/core/FormLabel"));

var _FormHelperText = _interopRequireDefault(require("@material-ui/core/FormHelperText"));

var _Toolbar = _interopRequireDefault(require("@material-ui/core/Toolbar"));

var _TextField = _interopRequireDefault(require("@material-ui/core/TextField"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _Paper = _interopRequireDefault(require("@material-ui/core/Paper"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _ArrowUpward = _interopRequireDefault(require("@material-ui/icons/ArrowUpward"));

var _styles = require("@material-ui/core/styles");

var _dualListSelect = _interopRequireDefault(require("@data-driven-forms/common/dual-list-select"));

var _formFieldGrid = _interopRequireDefault(require("../form-field-grid/form-field-grid"));

var _validationError = require("../validation-error/validation-error");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    allToLeftIcon: {
      transform: 'scaleX(-1)'
    },
    upsideDown: {
      transform: 'scaleY(-1)'
    },
    list: {
      height: 300,
      overflow: 'auto'
    },
    button: {
      display: 'flex',
      justifyContent: 'center',
      margin: theme.spacing(0.5, 0)
    },
    buttonsGrid: {
      height: '100%',
      alignContent: 'center'
    },
    filter: {
      width: '100%'
    },
    toolbar: {
      paddingLeft: 16,
      paddingRight: 16
    }
  };
});

var ListInternal = function ListInternal(_ref) {
  var value = _ref.value,
      optionClick = _ref.optionClick,
      noOptionsTitle = _ref.noOptionsTitle,
      filterValue = _ref.filterValue,
      filterValueText = _ref.filterValueText,
      selectedValues = _ref.selectedValues,
      ListProps = _ref.ListProps,
      ListItemProps = _ref.ListItemProps,
      ListItemIconProps = _ref.ListItemIconProps,
      ListItemTextProps = _ref.ListItemTextProps,
      ListItemSecondaryActionProps = _ref.ListItemSecondaryActionProps,
      checkboxVariant = _ref.checkboxVariant,
      PaperProps = _ref.PaperProps,
      LeftPaperProps = _ref.LeftPaperProps;
  var classes = useStyles();
  return /*#__PURE__*/_react["default"].createElement(_Paper["default"], (0, _extends2["default"])({}, PaperProps, LeftPaperProps, {
    className: (0, _clsx["default"])(PaperProps && PaperProps.className, LeftPaperProps && LeftPaperProps.className)
  }), /*#__PURE__*/_react["default"].createElement(_List["default"], (0, _extends2["default"])({
    component: "div",
    role: "list",
    dense: true
  }, ListProps, {
    className: (0, _clsx["default"])(classes.list, ListProps.className)
  }), value.length < 1 && /*#__PURE__*/_react["default"].createElement(_ListItem["default"], (0, _extends2["default"])({
    button: true,
    disabled: true
  }, ListItemProps), /*#__PURE__*/_react["default"].createElement(_ListItemText["default"], {
    primary: filterValue ? filterValueText : noOptionsTitle
  })), value.length > 0 && value.map(function (_ref2) {
    var value = _ref2.value,
        label = _ref2.label,
        icon = _ref2.icon,
        isCheckbox = _ref2.isCheckbox,
        secondaryActions = _ref2.secondaryActions,
        ListItemPropsItem = _ref2.ListItemProps,
        ListItemIconPropsItem = _ref2.ListItemIconProps,
        ListItemTextPropsItem = _ref2.ListItemTextProps,
        ListItemSecondaryActionPropsItem = _ref2.ListItemSecondaryActionProps;
    return /*#__PURE__*/_react["default"].createElement(_ListItem["default"], (0, _extends2["default"])({
      button: true,
      key: value,
      selected: selectedValues.includes(value),
      onClick: function onClick(e) {
        return optionClick(isCheckbox || checkboxVariant ? _objectSpread(_objectSpread({}, e), {}, {
          ctrlKey: true
        }) : e, value);
      }
    }, ListItemProps, ListItemPropsItem), (icon || isCheckbox || checkboxVariant) && /*#__PURE__*/_react["default"].createElement(_ListItemIcon["default"], (0, _extends2["default"])({}, ListItemIconProps, ListItemIconPropsItem), isCheckbox || checkboxVariant ? /*#__PURE__*/_react["default"].createElement(_Checkbox["default"], {
      edge: "start",
      checked: selectedValues.includes(value),
      tabIndex: -1,
      disableRipple: true
    }) : icon), /*#__PURE__*/_react["default"].createElement(_ListItemText["default"], (0, _extends2["default"])({
      primary: label
    }, ListItemTextProps, ListItemTextPropsItem)), secondaryActions && /*#__PURE__*/_react["default"].createElement(_ListItemSecondaryAction["default"], (0, _extends2["default"])({}, ListItemSecondaryActionProps, ListItemSecondaryActionPropsItem), secondaryActions));
  })));
};

ListInternal.propTypes = {
  value: _propTypes["default"].arrayOf(_propTypes["default"].shape({
    value: _propTypes["default"].string.isRequired,
    label: _propTypes["default"].string.isRequired
  })),
  optionClick: _propTypes["default"].func.isRequired,
  noOptionsTitle: _propTypes["default"].node,
  filterValue: _propTypes["default"].string,
  filterValueText: _propTypes["default"].node,
  selectedValues: _propTypes["default"].array,
  checkboxVariant: _propTypes["default"].bool,
  ListProps: _propTypes["default"].object,
  ListItemProps: _propTypes["default"].object,
  ListItemIconProps: _propTypes["default"].object,
  ListItemTextProps: _propTypes["default"].object,
  ListItemSecondaryActionProps: _propTypes["default"].object,
  PaperProps: _propTypes["default"].object,
  LeftPaperProps: _propTypes["default"].object
};
ListInternal.defaultProps = {
  value: [],
  ListProps: {}
};

var ToolbarInternal = function ToolbarInternal(_ref3) {
  var ToolbarProps = _ref3.ToolbarProps,
      LeftToolbarProps = _ref3.LeftToolbarProps,
      filterOptions = _ref3.filterOptions,
      filterOptionsTitle = _ref3.filterOptionsTitle,
      FilterFieldProps = _ref3.FilterFieldProps,
      sortOptions = _ref3.sortOptions,
      SortIconButtonProps = _ref3.SortIconButtonProps,
      SortIconProps = _ref3.SortIconProps,
      LeftSortIconProps = _ref3.LeftSortIconProps,
      LeftFilterFieldProps = _ref3.LeftFilterFieldProps,
      LeftSortIconButtonProps = _ref3.LeftSortIconButtonProps,
      filter = _ref3.filter,
      sortDesc = _ref3.sortDesc;
  var classes = useStyles();
  return /*#__PURE__*/_react["default"].createElement(_Toolbar["default"], (0, _extends2["default"])({
    variant: "dense"
  }, ToolbarProps, LeftToolbarProps, {
    className: (0, _clsx["default"])(classes.toolbar, ToolbarProps && ToolbarProps.className, LeftToolbarProps && LeftToolbarProps.className)
  }), /*#__PURE__*/_react["default"].createElement(_TextField["default"], (0, _extends2["default"])({
    edge: "start",
    id: "options-search",
    label: filterOptionsTitle,
    onChange: function onChange(_ref4) {
      var value = _ref4.target.value;
      return filterOptions(value);
    },
    value: filter,
    type: "search"
  }, FilterFieldProps, LeftFilterFieldProps, {
    className: (0, _clsx["default"])(classes.filter, FilterFieldProps && FilterFieldProps.className, LeftFilterFieldProps && LeftFilterFieldProps.className)
  })), /*#__PURE__*/_react["default"].createElement(_IconButton["default"], (0, _extends2["default"])({
    "aria-label": "sort options",
    edge: "end",
    onClick: sortOptions,
    color: "inherit"
  }, SortIconButtonProps, LeftSortIconButtonProps), /*#__PURE__*/_react["default"].createElement(_ArrowUpward["default"], (0, _extends2["default"])({}, SortIconProps, LeftSortIconProps, {
    className: (0, _clsx["default"])(!sortDesc && classes.upsideDown, SortIconProps && SortIconProps.className, LeftSortIconProps && LeftSortIconProps.className)
  }))));
};

ToolbarInternal.propTypes = {
  ToolbarProps: _propTypes["default"].object,
  LeftToolbarProps: _propTypes["default"].object,
  filterOptions: _propTypes["default"].func,
  filterOptionsTitle: _propTypes["default"].node,
  state: _propTypes["default"].object,
  FilterFieldProps: _propTypes["default"].object,
  sortOptions: _propTypes["default"].func,
  SortIconButtonProps: _propTypes["default"].object,
  SortIconProps: _propTypes["default"].object,
  LeftSortIconProps: _propTypes["default"].object,
  LeftFilterFieldProps: _propTypes["default"].object,
  LeftSortIconButtonProps: _propTypes["default"].object,
  filter: _propTypes["default"].string,
  sortDesc: _propTypes["default"].bool
};

var DualListSelect = function DualListSelect(_ref5) {
  var handleOptionsClick = _ref5.handleOptionsClick,
      rightValues = _ref5.rightValues,
      noValueTitle = _ref5.noValueTitle,
      filterValueText = _ref5.filterValueText,
      leftValues = _ref5.leftValues,
      noOptionsTitle = _ref5.noOptionsTitle,
      state = _ref5.state,
      filterOptionsText = _ref5.filterOptionsText,
      handleValuesClick = _ref5.handleValuesClick,
      handleMoveRight = _ref5.handleMoveRight,
      moveRightTitle = _ref5.moveRightTitle,
      handleClearLeftValues = _ref5.handleClearLeftValues,
      moveAllRightTitle = _ref5.moveAllRightTitle,
      handleClearRightValues = _ref5.handleClearRightValues,
      moveAllLeftTitle = _ref5.moveAllLeftTitle,
      handleMoveLeft = _ref5.handleMoveLeft,
      moveLeftTitle = _ref5.moveLeftTitle,
      allToRight = _ref5.allToRight,
      allToLeft = _ref5.allToLeft,
      checkboxVariant = _ref5.checkboxVariant,
      isRequired = _ref5.isRequired,
      meta = _ref5.meta,
      validateOnMount = _ref5.validateOnMount,
      label = _ref5.label,
      helperText = _ref5.helperText,
      description = _ref5.description,
      filterOptionsTitle = _ref5.filterOptionsTitle,
      leftTitle = _ref5.leftTitle,
      filterOptions = _ref5.filterOptions,
      sortOptions = _ref5.sortOptions,
      sortValues = _ref5.sortValues,
      filterValueTitle = _ref5.filterValueTitle,
      filterValues = _ref5.filterValues,
      rightTitle = _ref5.rightTitle,
      isFilterable = _ref5.isFilterable,
      FormFieldGridProps = _ref5.FormFieldGridProps,
      InternalGridProps = _ref5.InternalGridProps,
      ListGridProps = _ref5.ListGridProps,
      LeftListGridProps = _ref5.LeftListGridProps,
      ListProps = _ref5.ListProps,
      LeftListProps = _ref5.LeftListProps,
      ButtonsGridProps = _ref5.ButtonsGridProps,
      ButtonsInternalGridProps = _ref5.ButtonsInternalGridProps,
      ButtonGridProps = _ref5.ButtonGridProps,
      ToRightGridProps = _ref5.ToRightGridProps,
      IconButtonProps = _ref5.IconButtonProps,
      ToRightIconButtonProps = _ref5.ToRightIconButtonProps,
      AllToRightGridProps = _ref5.AllToRightGridProps,
      AllToRightIconButtonProps = _ref5.AllToRightIconButtonProps,
      AllToLeftGridProps = _ref5.AllToLeftGridProps,
      AllToLeftIconButtonProps = _ref5.AllToLeftIconButtonProps,
      ToLeftGridProps = _ref5.ToLeftGridProps,
      ToLeftIconButtonProps = _ref5.ToLeftIconButtonProps,
      RightListGridProps = _ref5.RightListGridProps,
      RightListProps = _ref5.RightListProps,
      ListItemProps = _ref5.ListItemProps,
      ListItemIconProps = _ref5.ListItemIconProps,
      ListItemTextProps = _ref5.ListItemTextProps,
      ListItemSecondaryActionProps = _ref5.ListItemSecondaryActionProps,
      LeftListItemProps = _ref5.LeftListItemProps,
      LeftListItemIconProps = _ref5.LeftListItemIconProps,
      LeftItemTextProps = _ref5.LeftItemTextProps,
      LeftItemSecondaryActionProps = _ref5.LeftItemSecondaryActionProps,
      RightListItemProps = _ref5.RightListItemProps,
      RightListItemIconProps = _ref5.RightListItemIconProps,
      RightItemTextProps = _ref5.RightItemTextProps,
      RightItemSecondaryActionProps = _ref5.RightItemSecondaryActionProps,
      FormControlProps = _ref5.FormControlProps,
      FormLabelProps = _ref5.FormLabelProps,
      FormHelperTextProps = _ref5.FormHelperTextProps,
      TitleProps = _ref5.TitleProps,
      ToolbarProps = _ref5.ToolbarProps,
      FilterFieldProps = _ref5.FilterFieldProps,
      SortIconButtonProps = _ref5.SortIconButtonProps,
      SortIconProps = _ref5.SortIconProps,
      LeftToolbarProps = _ref5.LeftToolbarProps,
      LeftFilterFieldProps = _ref5.LeftFilterFieldProps,
      LeftSortIconButtonProps = _ref5.LeftSortIconButtonProps,
      LeftSortIconProps = _ref5.LeftSortIconProps,
      LeftTitleProps = _ref5.LeftTitleProps,
      RightToolbarProps = _ref5.RightToolbarProps,
      RightFilterFieldProps = _ref5.RightFilterFieldProps,
      RightSortIconButtonProps = _ref5.RightSortIconButtonProps,
      RightSortIconProps = _ref5.RightSortIconProps,
      RightTitleProps = _ref5.RightTitleProps,
      PaperProps = _ref5.PaperProps,
      LeftPaperProps = _ref5.LeftPaperProps,
      RightPaperProps = _ref5.RightPaperProps;
  var classes = useStyles();
  var invalid = (0, _validationError.validationError)(meta, validateOnMount);
  var text = invalid || (meta.touched || validateOnMount) && meta.warning || helperText || description;
  return /*#__PURE__*/_react["default"].createElement(_formFieldGrid["default"], FormFieldGridProps, /*#__PURE__*/_react["default"].createElement(_FormControl["default"], (0, _extends2["default"])({
    fullWidth: true,
    required: isRequired,
    error: !!invalid,
    component: "fieldset"
  }, FormControlProps), /*#__PURE__*/_react["default"].createElement(_FormLabel["default"], (0, _extends2["default"])({
    component: "legend"
  }, FormLabelProps), label), /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    container: true
  }, InternalGridProps), /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    xs: 12,
    md: 5
  }, ListGridProps, LeftListGridProps), leftTitle && /*#__PURE__*/_react["default"].createElement(_Typography["default"], (0, _extends2["default"])({
    variant: "h6",
    gutterBottom: true
  }, TitleProps, LeftTitleProps), leftTitle), isFilterable && /*#__PURE__*/_react["default"].createElement(ToolbarInternal, {
    ToolbarProps: ToolbarProps,
    LeftToolbarProps: LeftToolbarProps,
    filterOptions: filterOptions,
    filterOptionsTitle: filterOptionsTitle,
    FilterFieldProps: FilterFieldProps,
    sortOptions: sortOptions,
    SortIconButtonProps: SortIconButtonProps,
    SortIconProps: SortIconProps,
    LeftSortIconProps: LeftSortIconProps,
    LeftFilterFieldProps: LeftFilterFieldProps,
    LeftSortIconButtonProps: LeftSortIconButtonProps,
    filter: state.filterOptions,
    sortDesc: state.sortLeftDesc
  }), /*#__PURE__*/_react["default"].createElement(ListInternal, {
    optionClick: handleOptionsClick,
    value: leftValues,
    noOptionsTitle: noOptionsTitle,
    filterValue: state.filterOptions,
    filterValueText: filterOptionsText,
    selectedValues: state.selectedLeftValues,
    checkboxVariant: checkboxVariant,
    ListProps: _objectSpread(_objectSpread({}, ListProps), LeftListProps),
    ListItemProps: _objectSpread(_objectSpread({}, ListItemProps), LeftListItemProps),
    ListItemIconProps: _objectSpread(_objectSpread({}, ListItemIconProps), LeftListItemIconProps),
    ListItemTextProps: _objectSpread(_objectSpread({}, ListItemTextProps), LeftItemTextProps),
    ListItemSecondaryActionProps: _objectSpread(_objectSpread({}, ListItemSecondaryActionProps), LeftItemSecondaryActionProps),
    PaperProps: PaperProps,
    LeftPaperProps: LeftPaperProps
  })), /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    xs: 12,
    md: 2
  }, ButtonsGridProps), /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    container: true
  }, ButtonsInternalGridProps, {
    className: (0, _clsx["default"])(classes.buttonsGrid, ButtonsInternalGridProps && ButtonsInternalGridProps.className)
  }), allToRight && /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    md: 12,
    sm: 3
  }, ButtonGridProps, AllToRightGridProps, {
    className: (0, _clsx["default"])(classes.button, ButtonGridProps && ButtonGridProps.className, AllToRightGridProps && AllToRightGridProps.className)
  }), /*#__PURE__*/_react["default"].createElement(_Button["default"], (0, _extends2["default"])({
    variant: "outlined",
    size: "small",
    disabled: leftValues.length === 0,
    onClick: handleClearLeftValues,
    "aria-label": moveAllRightTitle
  }, IconButtonProps, AllToRightIconButtonProps), "\u226B")), /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    md: 12,
    sm: 3
  }, ButtonGridProps, ToRightGridProps, {
    className: (0, _clsx["default"])(classes.button, ButtonGridProps && ButtonGridProps.className, ToRightGridProps && ToRightGridProps.className)
  }), /*#__PURE__*/_react["default"].createElement(_Button["default"], (0, _extends2["default"])({
    variant: "outlined",
    size: "small",
    disabled: leftValues.length === 0,
    onClick: handleMoveRight,
    "aria-label": moveRightTitle
  }, IconButtonProps, ToRightIconButtonProps), ">")), /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    md: 12,
    sm: 3
  }, ButtonGridProps, ToLeftGridProps, {
    className: (0, _clsx["default"])(classes.button, ButtonGridProps && ButtonGridProps.className, ToLeftGridProps && ToLeftGridProps.className)
  }), /*#__PURE__*/_react["default"].createElement(_Button["default"], (0, _extends2["default"])({
    variant: "outlined",
    size: "small",
    disabled: rightValues.length === 0,
    onClick: handleMoveLeft,
    "aria-label": moveLeftTitle
  }, IconButtonProps, ToLeftIconButtonProps), "<")), allToLeft && /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    md: 12,
    sm: 3
  }, ButtonGridProps, AllToLeftGridProps, {
    className: (0, _clsx["default"])(classes.button, ButtonGridProps && ButtonGridProps.className, AllToLeftGridProps && AllToLeftGridProps.className)
  }), /*#__PURE__*/_react["default"].createElement(_Button["default"], (0, _extends2["default"])({
    variant: "outlined",
    size: "small",
    disabled: rightValues.length === 0,
    onClick: handleClearRightValues,
    "aria-label": moveAllLeftTitle
  }, IconButtonProps, AllToLeftIconButtonProps), "\u226A")))), /*#__PURE__*/_react["default"].createElement(_Grid["default"], (0, _extends2["default"])({
    item: true,
    xs: 12,
    md: 5
  }, ListGridProps, RightListGridProps), rightTitle && /*#__PURE__*/_react["default"].createElement(_Typography["default"], (0, _extends2["default"])({
    variant: "h6",
    gutterBottom: true
  }, TitleProps, RightTitleProps), rightTitle), isFilterable && /*#__PURE__*/_react["default"].createElement(ToolbarInternal, {
    ToolbarProps: ToolbarProps,
    LeftToolbarProps: RightToolbarProps,
    filterOptions: filterValues,
    filterOptionsTitle: filterValueTitle,
    FilterFieldProps: FilterFieldProps,
    sortOptions: sortValues,
    SortIconButtonProps: SortIconButtonProps,
    SortIconProps: SortIconProps,
    LeftSortIconProps: RightSortIconProps,
    LeftFilterFieldProps: RightFilterFieldProps,
    LeftSortIconButtonProps: RightSortIconButtonProps,
    filter: state.filterValue,
    sortDesc: state.sortRightDesc
  }), /*#__PURE__*/_react["default"].createElement(ListInternal, {
    checkboxVariant: checkboxVariant,
    optionClick: handleValuesClick,
    value: rightValues,
    noOptionsTitle: noValueTitle,
    filterValue: state.filterValue,
    filterValueText: filterValueText,
    selectedValues: state.selectedRightValues,
    ListProps: _objectSpread(_objectSpread({}, ListProps), RightListProps),
    ListItemProps: _objectSpread(_objectSpread({}, ListItemProps), RightListItemProps),
    ListItemIconProps: _objectSpread(_objectSpread({}, ListItemIconProps), RightListItemIconProps),
    ListItemTextProps: _objectSpread(_objectSpread({}, ListItemTextProps), RightItemTextProps),
    ListItemSecondaryActionProps: _objectSpread(_objectSpread({}, ListItemSecondaryActionProps), RightItemSecondaryActionProps),
    PaperProps: PaperProps,
    LeftPaperProps: RightPaperProps
  }))), text && /*#__PURE__*/_react["default"].createElement(_FormHelperText["default"], FormHelperTextProps, text)));
};

DualListSelect.propTypes = {
  leftTitle: _propTypes["default"].node,
  rightTitle: _propTypes["default"].node,
  moveLeftTitle: _propTypes["default"].node,
  moveRightTitle: _propTypes["default"].node,
  allToLeft: _propTypes["default"].bool,
  allToRight: _propTypes["default"].bool,
  checkboxVariant: _propTypes["default"].bool,
  validateOnMount: _propTypes["default"].bool,
  moveAllLeftTitle: _propTypes["default"].node,
  moveAllRightTitle: _propTypes["default"].node,
  label: _propTypes["default"].node,
  isRequired: _propTypes["default"].bool,
  helperText: _propTypes["default"].node,
  noValueTitle: _propTypes["default"].node,
  noOptionsTitle: _propTypes["default"].node,
  filterOptionsTitle: _propTypes["default"].node,
  filterValueTitle: _propTypes["default"].node,
  filterValueText: _propTypes["default"].node,
  filterOptionsText: _propTypes["default"].node,
  description: _propTypes["default"].node,
  hideLabel: _propTypes["default"].bool,
  id: _propTypes["default"].string,
  input: _propTypes["default"].shape({
    name: _propTypes["default"].string.isRequired
  }),
  meta: _propTypes["default"].any,
  state: _propTypes["default"].object,
  sortOptions: _propTypes["default"].func,
  filterOptions: _propTypes["default"].func,
  handleOptionsClick: _propTypes["default"].func,
  leftValues: _propTypes["default"].array,
  handleMoveRight: _propTypes["default"].func,
  handleMoveLeft: _propTypes["default"].func,
  handleClearLeftValues: _propTypes["default"].func,
  handleClearRightValues: _propTypes["default"].func,
  sortValues: _propTypes["default"].func,
  filterValues: _propTypes["default"].func,
  rightValues: _propTypes["default"].array,
  handleValuesClick: _propTypes["default"].func,
  isFilterable: _propTypes["default"].bool,
  // props
  FormFieldGridProps: _propTypes["default"].object,
  InternalGridProps: _propTypes["default"].object,
  ListGridProps: _propTypes["default"].object,
  LeftListGridProps: _propTypes["default"].object,
  ListProps: _propTypes["default"].object,
  LeftListProps: _propTypes["default"].object,
  ButtonsGridProps: _propTypes["default"].object,
  ButtonsInternalGridProps: _propTypes["default"].object,
  ButtonGridProps: _propTypes["default"].object,
  ToRightGridProps: _propTypes["default"].object,
  IconButtonProps: _propTypes["default"].object,
  ToRightIconButtonProps: _propTypes["default"].object,
  AllToRightGridProps: _propTypes["default"].object,
  AllToRightIconButtonProps: _propTypes["default"].object,
  AllToLeftGridProps: _propTypes["default"].object,
  AllToLeftIconButtonProps: _propTypes["default"].object,
  ToLeftGridProps: _propTypes["default"].object,
  ToLeftIconButtonProps: _propTypes["default"].object,
  RightListGridProps: _propTypes["default"].object,
  RightListProps: _propTypes["default"].object,
  ListItemProps: _propTypes["default"].object,
  ListItemIconProps: _propTypes["default"].object,
  ListItemTextProps: _propTypes["default"].object,
  ListItemSecondaryActionProps: _propTypes["default"].object,
  LeftListItemProps: _propTypes["default"].object,
  LeftListItemIconProps: _propTypes["default"].object,
  LeftItemTextProps: _propTypes["default"].object,
  LeftItemSecondaryActionProps: _propTypes["default"].object,
  RightListItemProps: _propTypes["default"].object,
  RightListItemIconProps: _propTypes["default"].object,
  RightItemTextProps: _propTypes["default"].object,
  RightItemSecondaryActionProps: _propTypes["default"].object,
  FormControlProps: _propTypes["default"].object,
  FormLabelProps: _propTypes["default"].object,
  FormHelperTextProps: _propTypes["default"].object,
  TitleProps: _propTypes["default"].object,
  ToolbarProps: _propTypes["default"].object,
  FilterFieldProps: _propTypes["default"].object,
  SortIconButtonProps: _propTypes["default"].object,
  SortIconProps: _propTypes["default"].object,
  LeftToolbarProps: _propTypes["default"].object,
  LeftFilterFieldProps: _propTypes["default"].object,
  LeftSortIconButtonProps: _propTypes["default"].object,
  LeftSortIconProps: _propTypes["default"].object,
  LeftTitleProps: _propTypes["default"].object,
  RightToolbarProps: _propTypes["default"].object,
  RightFilterFieldProps: _propTypes["default"].object,
  RightSortIconButtonProps: _propTypes["default"].object,
  RightSortIconProps: _propTypes["default"].object,
  RightTitleProps: _propTypes["default"].object,
  PaperProps: _propTypes["default"].object,
  LeftPaperProps: _propTypes["default"].object,
  RightPaperProps: _propTypes["default"].object
};
DualListSelect.defaultProps = {
  leftTitle: 'Options',
  rightTitle: 'Selected',
  moveLeftTitle: 'Move selected to left',
  moveRightTitle: 'Move selected to right',
  moveAllRightTitle: 'Move all to right',
  moveAllLeftTitle: 'Move all to left',
  noOptionsTitle: 'No available options',
  noValueTitle: 'No selected',
  filterOptionsTitle: 'Filter options',
  filterValueTitle: 'Filter selected value',
  filterOptionsText: 'Remove your filter to see all options',
  filterValueText: 'Remove your filter to see all selected',
  options: [],
  allToLeft: true,
  allToRight: true,
  isFilterable: true
};

var DualListSelectWrapper = function DualListSelectWrapper(props) {
  return /*#__PURE__*/_react["default"].createElement(_dualListSelect["default"], (0, _extends2["default"])({}, props, {
    DualListSelect: DualListSelect
  }));
};

var _default = DualListSelectWrapper;
exports["default"] = _default;