import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import Typography from "@material-ui/core/esm/Typography";
import Grid from "@material-ui/core/esm/Grid";
import { makeStyles } from '@material-ui/core/styles';
import useFormApi from "@data-driven-forms/react-form-renderer/use-form-api";
var useStyles = makeStyles(function () {
  return {
    grid: {
      paddingRight: 0,
      paddingLeft: 0
    }
  };
});

var SubForm = function SubForm(_ref) {
  var fields = _ref.fields,
      title = _ref.title,
      description = _ref.description,
      component = _ref.component,
      TitleGridProps = _ref.TitleGridProps,
      TitleProps = _ref.TitleProps,
      DescriptionProps = _ref.DescriptionProps,
      DescriptionGridProps = _ref.DescriptionGridProps,
      ItemsGridProps = _ref.ItemsGridProps,
      rest = _objectWithoutProperties(_ref, ["fields", "title", "description", "component", "TitleGridProps", "TitleProps", "DescriptionProps", "DescriptionGridProps", "ItemsGridProps"]);

  var _useFormApi = useFormApi(),
      renderForm = _useFormApi.renderForm;

  var classes = useStyles();
  return /*#__PURE__*/React.createElement(Grid, _extends({
    item: true,
    xs: 12,
    container: true,
    className: classes.grid
  }, rest), title && /*#__PURE__*/React.createElement(Grid, _extends({
    item: true,
    xs: 12
  }, TitleGridProps), /*#__PURE__*/React.createElement(Typography, _extends({
    variant: "h5"
  }, TitleProps), title)), description && /*#__PURE__*/React.createElement(Grid, _extends({
    item: true,
    xs: 12
  }, DescriptionGridProps), /*#__PURE__*/React.createElement(Typography, _extends({
    paragraph: true
  }, DescriptionProps), description)), /*#__PURE__*/React.createElement(Grid, _extends({
    item: true,
    xs: 12,
    container: true
  }, ItemsGridProps), renderForm(fields)));
};

SubForm.propTypes = {
  fields: PropTypes.oneOfType([PropTypes.object, PropTypes.array]).isRequired,
  title: PropTypes.node,
  description: PropTypes.node,
  component: PropTypes.any,
  TitleGridProps: PropTypes.object,
  TitleProps: PropTypes.object,
  DescriptionProps: PropTypes.object,
  DescriptionGridProps: PropTypes.object,
  ItemsGridProps: PropTypes.object
};
export default SubForm;