"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _clsx = _interopRequireDefault(require("clsx"));

var _styles = require("@material-ui/core/styles");

var _Stepper = _interopRequireDefault(require("@material-ui/core/Stepper"));

var _Step = _interopRequireDefault(require("@material-ui/core/Step"));

var _StepLabel = _interopRequireDefault(require("@material-ui/core/StepLabel"));

var useStyles = (0, _styles.makeStyles)(function () {
  return {
    stepper: {
      width: '100%'
    }
  };
});

var WizardNav = function WizardNav(_ref) {
  var StepperProps = _ref.StepperProps,
      stepsInfo = _ref.stepsInfo,
      activeStepIndex = _ref.activeStepIndex;
  var classes = useStyles();
  return /*#__PURE__*/_react["default"].createElement(_Stepper["default"], (0, _extends2["default"])({}, StepperProps, {
    className: (0, _clsx["default"])(classes.stepper, StepperProps.className),
    activeStep: activeStepIndex
  }), stepsInfo.map(function (_ref2, idx) {
    var title = _ref2.title,
        label = _ref2.label,
        StepLabelProps = _ref2.StepLabelProps,
        StepProps = _ref2.StepProps;
    return /*#__PURE__*/_react["default"].createElement(_Step["default"], (0, _extends2["default"])({}, StepProps, {
      key: idx
    }), /*#__PURE__*/_react["default"].createElement(_StepLabel["default"], StepLabelProps, title || label));
  }));
};

WizardNav.propTypes = {
  StepperProps: _propTypes["default"].object,
  stepsInfo: _propTypes["default"].arrayOf(_propTypes["default"].shape({
    title: _propTypes["default"].node,
    label: _propTypes["default"].node,
    StepLabelProps: _propTypes["default"].object,
    StepProps: _propTypes["default"].object
  })),
  activeStepIndex: _propTypes["default"].number
};
WizardNav.defaultProps = {
  StepperProps: {}
};
var _default = WizardNav;
exports["default"] = _default;